org.apache.ignite.internal.processors.service

## Class ServiceUndeploymentRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.service.ServiceUndeploymentRequest

All Implemented Interfaces:
  Serializable

    public class ServiceUndeploymentRequest
    extends Object

Service undeployment request.

See Also:
  Serialized Form

### Field Summary

Fields
`protected IgniteUuid` `srvcId` Service id.

### Constructor Summary

Constructors
Constructor and Description
`ServiceUndeploymentRequest(@NotNull IgniteUuid srvcId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IgniteUuid` `serviceId()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### srvcId

    protected final IgniteUuid srvcId

Service id.

### Constructor Detail

#### ServiceUndeploymentRequest

    public ServiceUndeploymentRequest(@NotNull
                                      @NotNull IgniteUuid srvcId)

Parameters:
  `srvcId` - Service id.

### Method Detail

#### toString

    public String toString()

#### serviceId

    public IgniteUuid serviceId()

Returns:
  Service id.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020